export class ConfigError extends Error {
    constructor(message) {
        super();
        this.message = message;
    }
}
export class MissingLayoutError extends Error {
    constructor(page, message) {
        super();
        this.page = page;
        this.message = message;
    }
}
export class TemplateCompileError extends Error {
    constructor(page, message) {
        super();
        this.page = page;
        this.message = message;
    }
}
export class ContentRenderError extends Error {
    constructor(page, message) {
        super();
        this.page = page;
        this.message = message;
    }
}
export class LayoutRenderError extends Error {
    constructor(page, message) {
        super();
        this.page = page;
        this.message = message;
    }
}
export class TransformPluginError extends Error {
    constructor(name, page, message) {
        super();
        this.name = name;
        this.page = page;
        this.message = message;
    }
}
export class AfterTransformPluginError extends Error {
    constructor(name, page, message) {
        super();
        this.name = name;
        this.page = page;
        this.message = message;
    }
}
export class AfterAllPluginError extends Error {
    constructor(name, message) {
        super();
        this.name = name;
        this.message = message;
    }
}
export class ReadError extends Error {
    constructor(message) {
        super();
        this.message = message;
    }
}
export class WriteError extends Error {
    constructor(message) {
        super();
        this.message = message;
    }
}
